using MongoDB.Bson;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LolDataRequestLib.ResponseData
{
    class 타워골드데이터 : IResponseData
    {


        public DataTable 디비데이터를데이터테이블로만듬()
        {

            DataTable 타워골드테이블 = new DataTable(DBDefine.요청데이터분류.타워골드데이터.ToString());


            타워골드테이블.Columns.Add("지급원인");
            타워골드테이블.Columns.Add("팀");
            타워골드테이블.Columns.Add("선수");
            타워골드테이블.Columns.Add("지급골드");
            타워골드테이블.Columns.Add("타워위치");
            타워골드테이블.Columns.Add("타워티어");
            타워골드테이블.Columns.Add("게임시간");

            if (DataManager.getInstance().타워골드데이터 == null)
            {
                return 타워골드테이블;
            }

            BsonDocument dd = DataManager.getInstance().타워골드데이터.DeepClone().AsBsonDocument;

            dd.Remove("sequenceIndex");

            List<BsonElement> bufStructDataList = dd.ToList();


            //Console.WriteLine("타워파괴전체.cs : 시작");

            foreach (BsonElement item in bufStructDataList)
            {

                DataRow bufRow = 타워골드테이블.NewRow();
                BsonDocument bufValue = item.Value.AsBsonDocument;
                
                //Console.WriteLine("타워파괴전체.cs 정보 : " + bufValue.ToString());


                try
                {
                    {
                        bufRow["지급원인"] = bufValue["source"].ToString();
                        bufRow["팀"] = bufValue["teamID"].ToString();
                        bufRow["선수"] = bufValue["recipientId"].ToString();
                        bufRow["지급골드"] = bufValue["amount"].ToString();
                        bufRow["타워위치"] = bufValue["lane"].ToString();
                        bufRow["타워티어"] = bufValue["turretTier"].ToString();
                        bufRow["게임시간"] = bufValue["gameTime"].ToString();

                        타워골드테이블.Rows.Add(bufRow);
                    }
                }
                catch (Exception ex)
                {

                }
            }

            return 타워골드테이블;

        }

    }
}
